Installer - Bug #27552

foreman-proxy-log JOURNAL option should install foreman-proxy-journald
08/08/2019 02:47 PM - Ewoud Kohl van Wijngaarden
Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1738784

Description of problem:

The foreman-proxy-journald package is not installed when you run installer with this option:

--foreman-proxy-log JOURNAL
but it is required to make use of logging to journald.
Version-Release number of selected component (if applicable):

~]# rpm -q satellite-installer
satellite-installer-6.6.0.19-1.beta.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. satellite-installer --foreman-proxy-log JOURNAL
2. rpm -q foreman-proxy-journald

Actual results:

~]# rpm -q foreman-proxy-journald
package foreman-proxy-journald is not installed

Expected results:
~]# rpm -q foreman-proxy-journald
foreman-proxy-journald-1.22.0.1-1.el7sat.noarch

Additional info:

https://bugzilla.redhat.com/show_bug.cgi?id=1163020#c18

Related issues:

Has duplicate Installer - Bug #27551: foreman-proxy-log JOURNAL option should...

Duplicate

Associated revisions

Revision ecaaa169 - 08/09/2019 11:34 AM - Ewoud Kohl van Wijngaarden
Fixes #27552 - Fix journald logging
fde8d9b9547b1dc5006010616b4aafSbde51fbf4 attempted to implement

installing foreman-proxy-journald when the logging was set to JOURNAL.
The check was comparing JOURNAL to JOURNALD.
https://bugzilla.redhat.com/show_bug.cgi?id=1738784
https://bugzilla.redhat.com/show_bug.cgi?id=1163020#c18

This patch corrects it and adds both unit and acceptance tests.

History

#1 - 08/08/2019 02:48 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/531 added

#2 - 08/09/2019 12:33 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#3 - 08/09/2019 01:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|ecaaal6984a9c35de16e741b1745aa4bc151e787.

#4 - 08/20/2019 03:18 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules
- Triaged changed from No to Yes

- Fixed in Releases 1.22.1 added

#5 - 11/29/2019 03:02 PM - Ewoud Kohl van Wijngaarden
- Has duplicate Bug #27551: foreman-proxy-log JOURNAL option should install foreman-proxy-journald added

05/18/2024

22


https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/ecaaa16984a9c35de16e741b1745aa4bc151e787
http://www.tcpdf.org

